Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.event
Class BuildCompleteNotifier

    java.lang.Object
      com.atlassian.bamboo.container.BambooTask
          com.atlassian.bamboo.event.BuildCompleteNotifier

All Implemented Interfaces:
  Runnable

    public class BuildCompleteNotifier

extends BambooTask

This class notifies interested parties that the build has completed.

Also marks the build as complete.

Constructor Summary
`BuildCompleteNotifier(BlockingQueue completedBuildQueue, BuildEventNotifier buildEventNotifier, ErrorHandler errorHandler)` Create an instance that uses the given template emailer.

Method Summary
`protected void` | `doTask()` Tell every listener that the build is complete
`PluginManager` | `getPluginManager()`
`void` | `setPluginManager(PluginManager pluginManager)`

Methods inherited from class com.atlassian.bamboo.container.BambooTask
`getPersister, init, isRunning, run, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildCompleteNotifier

    public BuildCompleteNotifier(BlockingQueue completedBuildQueue,
                                 BuildEventNotifier buildEventNotifier,
                                 ErrorHandler errorHandler)

  Create an instance that uses the given template emailer.

  Parameters:
    `completedBuildQueue` - The queue containing the email messages to send
    `buildEventNotifier` - The system notifier
    `errorHandler` - The system error handler

Method Detail

### doTask

    protected void doTask()

  Tell every listener that the build is complete

  Specified by:
    `doTask` in class `BambooTask`

### getPluginManager

    public PluginManager getPluginManager()

### setPluginManager

    public void setPluginManager(PluginManager pluginManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.